AutoSerializer (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management.configuration, class: AutoSerializer

Package org.apache.geode.management.configuration

# Class AutoSerializer

java.lang.Object
org.apache.geode.management.configuration.AutoSerializer

All Implemented Interfaces:
  `Serializable`

public class AutoSerializer extends Object implements Serializable
The configuration of a org.apache.geode.pdx.ReflectionBasedAutoSerializer found in the geode-core module that is used for easy PDX serialization. At least one pattern is required if the AutoSerializer is used for a `ClusterManagementService.create(T)`.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AutoSerializer(boolean portable, String... patterns)`
  Creates an AutoSerializer.
  `AutoSerializer(Boolean portable, List<String> patterns)`
  Creates an AutoSerializer.
  `AutoSerializer(String... patterns)`
  Creates an AutoSerializer that is not portable.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getPatterns()`
  `Boolean`
  `isPortable()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AutoSerializer

    public AutoSerializer(String... patterns)
    Creates an AutoSerializer that is not portable.
    Parameters:
      `patterns` - regular expressions that will cause the auto serializer to serialize any classes whose fully qualified class name matches one of the patterns. If no patterns are given, and the operation is CREATE, then an exception will be thrown.

  - ### AutoSerializer

    public AutoSerializer(boolean portable, String... patterns)
    Creates an AutoSerializer.
    Parameters:
      `portable` - if true then any attempt to serialize a class that is not supported by the native client will fail.
      `patterns` - regular expressions that will cause the auto serializer to serialize any classes whose fully qualified class name matches one of the patterns. If no patterns are given, and the operation is CREATE, then an exception will be thrown.

  - ### AutoSerializer

    public AutoSerializer(Boolean portable, List<String> patterns)
    Creates an AutoSerializer.
    Parameters:
      `portable` - if true then any attempt to serialize a class that is not supported by the native client will fail.
      `patterns` - regular expressions that will cause the auto serializer to serialize any classes whose fully qualified class name matches one of the patterns. If no patterns are given, and the operation is CREATE, then an exception will be thrown.

- ## Method Details

  - ### isPortable

    public Boolean isPortable()

  - ### getPatterns

    public List<String> getPatterns()